﻿<%@ Control Language="C#" Inherits="SpaceBuilder.Web.SPBViewUserControl" %>
<% string userDomainName = Html.GetParameterFromRouteDateOrQueryString("userDomainName");
   MessageCenterMenuType menuType = MessageCenterMenuType.Message;
   if (ViewData["MessageCenterMenuType"] != null)
       menuType = (MessageCenterMenuType)ViewData["MessageCenterMenuType"];

   User currentDomainUser = Users.GetUser(userDomainName, false);
   bool IsUserDomainOwner = false;
   if (CurrentUser != null && CurrentUser.UserID == currentDomainUser.UserID)
       IsUserDomainOwner = true;

%>
<div class="spb-nav2-area">
    <div class="tn-wrapper-inner tn-helper-clearfix">
        <ul class="spb-nav2 tn-helper-reset tn-helper-left">
            <% if (CurrentUser != null && (CurrentUser.IsContentAdministrator || IsUserDomainOwner))
               { %>
            <li <% if(menuType==MessageCenterMenuType.Message) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\""); %>
                id="MessageLi"><a href="<%=SPBUrlHelper.Action("ListMessageInBox", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Message", ApplicationIDs.Instance().User())%></span></a></li>
            <li <% if(menuType==MessageCenterMenuType.NoticeRecord) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\""); %>
                id="NoticeRecordLi"><a href="<%=SPBUrlHelper.Action("ListNoticeRecords", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Notice", ApplicationIDs.Instance().User())%></span></a></li>
            <%} %>
            <li <% if(menuType==MessageCenterMenuType.Activity) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\"");  %>
                id="StoryLi">
                <% if (currentDomainUser != null && currentDomainUser.UserType == UserTypes.CompanyUser)
                   {%>
                <a href="<%=SPBUrlHelper.Action("ListCompanyActivities", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Activity", ApplicationIDs.Instance().User())%></span></a>
                <%} %>
                <%if (currentDomainUser != null && currentDomainUser.UserType == UserTypes.PersonUser)
                  {%>
                <a href="<%=SPBUrlHelper.Action("ListUserActivities", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Activity", ApplicationIDs.Instance().User())%></span></a>
                <%} %></li>
            <% if (CurrentUser != null && currentDomainUser.UserType == UserTypes.PersonUser && (CurrentUser.IsContentAdministrator || IsUserDomainOwner))
               { %>
            <li <% if(menuType==MessageCenterMenuType.Invitation) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\"");  %>
                id="InvitationLi"><a href="<%=SPBUrlHelper.Action("ListInvitationInBox", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Invitation", ApplicationIDs.Instance().User())%></span></a></li>
            <%} %>
             <% if (CurrentUser != null && (CurrentUser.IsContentAdministrator || IsUserDomainOwner))
                { %>
            <li <% if(menuType==MessageCenterMenuType.Point) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\""); %>
                id="PointLi"><a href="<%=SPBUrlHelper.Action("TotalUserPoints", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Point", ApplicationIDs.Instance().User())%></span></a>
            </li>
            <%} %>
            <li <% if(menuType==MessageCenterMenuType.Visit) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\""); %>
                id="VisitLi"><a href="<%=SPBUrlHelper.Action("ListVisitor", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_Visitor", ApplicationIDs.Instance().User())%></span></a></li>
            <li <% if(menuType==MessageCenterMenuType.GuestBook) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\""); %>
                id="GuestBookLi"><a href="<%=SPBUrlHelper.Action("ShowGuestBook", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>
                        <%=GetResourceString("Navigation_GuestBook", ApplicationIDs.Instance().User())%></span></a></li>
            <%--       <% if (CurrentUser != null && (CurrentUser.IsContentAdministrator || IsUserDomainOwner))
               { %>
            <li <% if(menuType==MessageCenterMenuType.Permission) Response.Write("class='spb-nav-item tn-text-note tn-selected'"); else  Response.Write("class=\"spb-nav-item\""); %>
                id="Li1"><a href="<%=SPBUrlHelper.Action("ListPermission", "MessageCenter", new RouteValueDictionary { { "userDomainName", userDomainName } })%>">
                    <span>权限</span></a></li>
            <%} %>--%>
        </ul>
    </div>
</div>
